// pages/test/index.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '首页', leftArrow: false, useBar: true },
        // 主体高度
        infoHeight: '',
        fileUrl: app.globalData.fileUrl,
        searchName: '',
        src: '/image/logo.png',
        //商品列表
        list: [],
        //选购数组
        buy_maket: [],
    },
    // 跳转菜单
    tabPath(e) {
        let { route } = e.detail.detail;
        if (route) wx.redirectTo({ url: `/${route}` })
    },
    back: function () {
        wx.navigateBack({ url: '/pages/home/index' })
    },
    // 自提点
    toAddress: function () {
        wx.navigateTo({ url: `/pages/address/index` })
    },
    // 查看详情
    toView: function (e) {
        const { item } = e.currentTarget.dataset;
        wx.navigateTo({ url: `/pages/market_info/index?id=${item._id}` });
    },
    // 增加
    onePlus: function (e) {
        const that = this;
        const { item } = e.currentTarget.dataset;
        let list = that.data.buy_maket;
        let data = list.find((i) => i._id == item._id);
        if (data && data._id == item._id) { data.buy_num = Number(data.buy_num) + 1; }
        else { item.buy_num = 1; list.push(item); }
        that.setData({ buy_maket: list })
        wx.setStorage({ key: "order_maket", data: list })
    },
    // 减少
    oneMinus: function (e) {
        const that = this;
        const { item } = e.currentTarget.dataset;
        let list = that.data.buy_maket;
        let data = list.find((i) => i._id == item._id)
        if (data && data._id == item._id) {
            if (data.buy_num == 1) { list = list.filter((i) => i._id != data._id) }
            else { data.buy_num = Number(data.buy_num) - 1 }
        }
        that.setData({ buy_maket: list })
        wx.setStorage({ key: "order_maket", data: list })
    },
    // 查询信息
    onSearch: function (e) {
        const that = this;
        that.setData({ searchName: e.detail });
        that.watchLogin();
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        // 计算高度
        that.searchHeight()
        // 监听用户是否登录
        that.watchLogin();
    },
    // 监听用户是否登录
    watchLogin: function () {
        const that = this;
        wx.getStorage({
            key: 'token',
            success: async res => {
                let info = { status: '0' }
                if (that.data.searchName) info.name = that.data.searchName
                const arr = await app.$get(`/groupBuy/api/market`, { ...info });
                if (arr.errcode == '0') {
                    for (const val of arr.data) { val.buy_num = 0 };
                    wx.getStorage({
                        key: 'order_maket',
                        success: aee => {
                            for (const val of arr.data) {
                                let order_1 = aee.data.find((i) => i._id == val._id)
                                if (order_1) val.buy_num = Number(order_1.buy_num);
                            }
                            let buy_1 = arr.data.filter((i) => i.buy_num != 0);
                            that.setData({ buy_maket: buy_1 })
                            that.setData({ list: arr.data });
                        },
                        fail: aee => {
                            that.setData({ list: arr.data })
                        }
                    })
                }
            },
            fail: res => {
                wx.redirectTo({ url: '/pages/index/index', })
            }
        })
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        let infoHeight = client.windowHeight;
        // 是否去掉状态栏
        if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})
