// pages/test/index.js
import { steps } from '../../utils/dict';
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '商品详情', leftArrow: true, useBar: false },
        // 主体高度
        infoHeight: '',
        id: '',
        info: {},
        fileUrl: app.globalData.fileUrl,
        src: '/image/logo.png',
        //步骤条
        steps: steps,
    },
    // 跳转菜单
    tabPath(e) {
        let { route } = e.detail.detail;
        if (route) wx.redirectTo({ url: `/${route}` })
    },
    back: function () {
        wx.navigateBack({ url: '/pages/home/index' })
    },
    // 跳转页面
    toTest: function () {
        wx.navigateTo({ url: '/pages/test/index' })
    },
    // 首页或购物车
    toCommon: function (e) {
        let { route } = e.currentTarget.dataset;
        wx.navigateTo({ url: `/pages/${route}/index` })
    },
    // 加入购物车
    toAdd: function () {
        const that = this;
        let info = that.data.info;
        info.buy_num = 1;
        let data = [];
        data.push(info);
        wx.setStorage({ key: "order_maket", data: data })
        wx.navigateTo({ url: '/pages/market/index' })
    },
    // 立即购买
    toBuy: function () {
        const that = this;
        let info = that.data.info;
        info.buy_num = 1;
        let data = [];
        data.push(info);
        wx.setStorage({ key: "order_maket", data: data })
        wx.navigateTo({ url: '/pages/market_settle/index' })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        that.setData({ id: options.id || '' })
        // 计算高度
        that.searchHeight()
        // 监听用户是否登录
        that.watchLogin();
    },
    // 监听用户是否登录
    watchLogin: function () {
        const that = this;
        wx.getStorage({
            key: 'token',
            success: async res => {
                let id = that.data.id;
                const arr = await app.$get(`/groupBuy/api/market/${id}`);
                if (arr.errcode == '0') that.setData({ info: arr.data })
            },
            fail: res => {
                wx.redirectTo({ url: '/pages/index/index', })
            }
        })
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        let infoHeight = client.windowHeight;
        // 是否去掉状态栏
        if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})