const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: {
            useTop: true,
            name: '登陆',
            leftArrow: false,
            useBar: false
        },
        // 主体高度
        infoHeight: '',
        info: {}
    },

    // 登陆
    async toLogin() {
        const res = await app.$post(`/groupBuy/api/admin/wxAppLogin`, this.data.info);
        if (res.errcode === 0) {
            this.back();
        }
    },

    //取消登陆
    toCancel() {
        const that = this;
        that.back();

    },
    back: function () {
        wx.navigateBack({
            delta: 1
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        // 计算高度
        that.searchHeight();
        const { params } = options;
        this.dealParams(params);

    },
    dealParams(paramsStr) {
        const params = JSON.parse(paramsStr);
        const { code, route, path } = params
        const user = wx.getStorageSync('token')
        const { openid } = user
        if (!(code && openid && route && path)) {
            wx.showToast({
                title: '缺少信息',
            })
            return false;
        }
        this.setData({
            info: { openid, code, route, path }
        })
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        let infoHeight = client.windowHeight;
        // 是否去掉状态栏
        if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({
            infoHeight: infoHeight
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})